Subject: bug#28257: 26.0.50; [PATCH] expose eldoc functions in a hook

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2020 12:03:44 +0200

Ping!

Can we please review Mark's patch some time soon?  TIA.

> Date: Fri, 31 Jan 2020 16:05:09 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> 
> > Date: Sun, 26 Jan 2020 18:47:31 -0500
> > From: Mark Oteiza <[email-masked]>
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked],
> >  [email-masked]
> > 
> > On 26/06/19 at 10:03am, Mark Oteiza wrote:
> > > On 24/06/19 at 06:51pm, Noam Postavsky wrote:
> > > > Lars Ingebrigtsen <[email-masked]> writes:
> > > > 
> > > > > Mark Oteiza <[email-masked]> writes:
> > > > >
> > > > >>> Could be a worthwhile tradeoff (especially
> > > > >>>since there currently aren't any individual mode eldoc functions using
> > > > >>>anything apart from :before-until, afaik); I'm on the fence about this.
> > > > >>
> > > > >> Not in emacs, at least.  In elpa, ggtags uses :after-until.  The only
> > > > >> 3rd party packages--that I can think of right now--that implement eldoc
> > > > >> functions just use setq-local (elpy and geiser).
> > > > >
> > > > > Noam, still on the fence?
> > > > 
> > > > I haven't really thought about this much, maybe bring it up on
> > > > emacs-devel?
> > > 
> > > I happily rolled with this patch until some changes to eldoc broke it.
> > > Will post a new patch when I get around to it.
> > 
> > New patch below.  Lightly tested, at first sight it seems to work
> > (setting eldoc-documentation-function to eldoc-documentation-compose)
> 
> Lars, Noam, any comments?
> 
> 
> 
>